package evaluator.util;


import java.util.Vector;


/**
 * <p>Copyright: Copyright (C) 2003</p>
 * <p>Company: University of Hamburg, Germany</p>
 * @author Hartmut Obendorf, http://asi-www.informatik.uni-hamburg.de/personen/obendorf/
 * @author Harald Weinreich, http://vsis-www.informatik.uni-hamburg.de/~weinreic/
 * @version 1.3
 */
class TaskGroupList {
    public TaskGroupList() {
        _taskGroupList = new Vector();
    }

    public void addTaskGroup(TaskGroup taskGroup) {
        _taskGroupList.add(taskGroup);
    }

    public TaskGroup getTaskGroup(int index) {
        return (TaskGroup) _taskGroupList.elementAt(index);
    }

    public int size() {
        return _taskGroupList.size();
    }

    private Vector             _taskGroupList;
}
